Last Comment Bug 592601 - Add "face" to the list of white-listed attributes
: Add "face" to the list of white-listed attributes
Status: VERIFIED FIXED
[gs][tb31needed][tb30needed][fixed-tb...
: fixed-seamonkey2.0.8, regression, verified1.9.2
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: mozilla2.0b7
Assigned To: :Ehsan Akhgari
:
Mentors:
http://gsfn.us/t/1eu0v
: 592600 594360 595491 (view as bug list)
Depends on:
Blocks: CVE-2010-2769
  Show dependency treegraph
 
Reported: 2010-08-31 22:48 PDT by kevin zhang
Modified: 2010-09-23 16:26 PDT (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
betaN+
.11+
.11-fixed
.14+
.14-fixed


Attachments
Patch (v1) (782 bytes, patch)
2010-09-05 17:30 PDT, :Ehsan Akhgari
bzbarsky: review+
jst: approval2.0+
Details | Diff | Splinter Review
For check-in (868 bytes, patch)
2010-09-07 10:50 PDT, :Ehsan Akhgari
dveditz: approval1.9.2.11+
dveditz: approval1.9.1.14+
Details | Diff | Splinter Review

Description kevin zhang 2010-08-31 22:48:51 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; zh-CN; rv:1.9.2.8) Gecko/20100722 Firefox/3.6.8
Build Identifier: 3.1.3

I think there is a problem in the beta version of Thunderbird 3.1.3
we use a HTML file as our signature, in the file, we define the fonts should be Calibri, but when we compose Email, the fonts in the signature was turned into another fonts, such as the system default fonts, but the body of the Email can use the user-defined fonts, like Calibri

Reproducible: Always

Actual Results:  
no change


no additional information
Comment 1 Ludovic Hirlimann [:Usul] 2010-09-01 01:09:50 PDT
*** Bug 592600 has been marked as a duplicate of this bug. ***
Comment 2 Ludovic Hirlimann [:Usul] 2010-09-01 01:10:19 PDT
Joe is this one of our known issues ?
Comment 3 Joe Sabash [:JoeS1] 2010-09-01 14:18:48 PDT
I'm unable to test extensively at the moment (I'm on an interim PC) But this looks like a new issue to me. The Font face tag seems to be removed from the original html file when applied as a sig.

kevin, You could help with this by comparing the message source of your html file with the html in the applied sig.(View>>Message source)
Comment 4 Joe Sabash [:JoeS1] 2010-09-01 16:44:18 PDT
A little further testing on this in 
Mozilla/5.0 (Windows NT 5.0; rv:2.0b5pre) Gecko/20100831 Thunderbird/3.2a1pre ID:20100831032343

There have been some recent changes in Core Editor that most likely is involved in this bug (bug 580442) Certain html tags are now sanitized by the editor, and I guess we should add the "font face" tag to that bug.

A work-around would be to use inline styles in the sig instead of a font tag.
Here's an example that works for me.
<span style="font-family: Comic Sans MS;">JoeS
</span>

This preserves the font selection when used in a signature.
Marking as new although this will probably be determined to be a core bug.
Comment 5 kevin zhang 2010-09-01 18:42:02 PDT
(In reply to comment #3)
> I'm unable to test extensively at the moment (I'm on an interim PC) But this
> looks like a new issue to me. The Font face tag seems to be removed from the
> original html file when applied as a sig.
> 
> kevin, You could help with this by comparing the message source of your html
> file with the html in the applied sig.(View>>Message source)

Hi Joe, yes, I just compared the html file with the html appied as a sig, the font tag was removed after we applied it as a sig in the mail, only left the font color tag
Thanks
Comment 6 kevin zhang 2010-09-01 18:56:01 PDT
(In reply to comment #4)
> A little further testing on this in 
> Mozilla/5.0 (Windows NT 5.0; rv:2.0b5pre) Gecko/20100831 Thunderbird/3.2a1pre
> ID:20100831032343
> 
> There have been some recent changes in Core Editor that most likely is involved
> in this bug (bug 580442) Certain html tags are now sanitized by the editor, and
> I guess we should add the "font face" tag to that bug.
> 
> A work-around would be to use inline styles in the sig instead of a font tag.
> Here's an example that works for me.
> <span style="font-family: Comic Sans MS;">JoeS
> </span>
> 
> This preserves the font selection when used in a signature.
> Marking as new although this will probably be determined to be a core bug.

yes, the span tag working, thanks
Comment 7 :Ehsan Akhgari 2010-09-05 17:30:48 PDT
Created attachment 472311 [details] [diff] [review]
Patch (v1)
Comment 8 Johnny Stenback (:jst, jst@mozilla.com) 2010-09-07 09:56:58 PDT
Doesn't sound like a blocker to me. If it should be, please say why and renominate.
Comment 9 :Ehsan Akhgari 2010-09-07 10:50:05 PDT
(In reply to comment #8)
> Doesn't sound like a blocker to me. If it should be, please say why and
> renominate.

I think it should be a blocker, as it is a regression from bug 520189.  For example, if you copy some HTML including a <font face> tag and paste it into an editable field, the face attribute will be lost.
Comment 10 :Ehsan Akhgari 2010-09-07 10:50:39 PDT
Created attachment 472682 [details] [diff] [review]
For check-in
Comment 11 Johnny Stenback (:jst, jst@mozilla.com) 2010-09-07 11:07:35 PDT
Ok, thanks for the clarification! Blocking.
Comment 13 Daniel Veditz [:dveditz] 2010-09-08 10:53:05 PDT
Comment on attachment 472682 [details] [diff] [review]
For check-in

Approved for 1.9.2.10 and 1.9.1.13, a=dveditz for release-drivers
Comment 15 Ludovic Hirlimann [:Usul] 2010-09-09 05:11:50 PDT
*** Bug 594360 has been marked as a duplicate of this bug. ***
Comment 16 Robert Kaiser 2010-09-09 14:08:37 PDT
I also re-imported this on the 1.9.1.12 relbranch as http://hg.mozilla.org/releases/mozilla-1.9.1/rev/1389736dbf5f with permission over IRC from LegNeato. SeaMonkey will take this as a ride-along on our 2.0.8 oilspill release.
Comment 17 :Ehsan Akhgari 2010-09-09 15:57:52 PDT
(In reply to comment #16)
> I also re-imported this on the 1.9.1.12 relbranch as
> http://hg.mozilla.org/releases/mozilla-1.9.1/rev/1389736dbf5f with permission
> over IRC from LegNeato. SeaMonkey will take this as a ride-along on our 2.0.8
> oilspill release.

Great!  Maybe Thunderbird could do the same?
Comment 18 Ludovic Hirlimann [:Usul] 2010-09-11 00:59:18 PDT
Verfifed Fixed with Mozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.9.2.9) Gecko/20100910 Thunderbird/3.1.4
Comment 19 Mark Banner (:standard8) 2010-09-11 06:32:57 PDT
*** Bug 595491 has been marked as a duplicate of this bug. ***
Comment 20 Al Billings [:abillings] 2010-09-21 17:03:52 PDT
Since Ludovic verified this for 1.9.2, adding the 'verified1.9.2' keyword.
Comment 21 Al Billings [:abillings] 2010-09-23 16:26:35 PDT
Verified for 1.9.1 with Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.1.12) Gecko/20100923 Shredder/3.0.9pre. The face attribute is preserved now in the signature.

Note You need to log in before you can comment on or make changes to this bug.